Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.designer.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.designer.cs	(revision 81)
@@ -30,9 +30,9 @@
         /// </summary>
         private void InitializeComponent()
         {
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
             this.btnDataEntry = new System.Windows.Forms.Button();
             this.btnEnd = new System.Windows.Forms.Button();
             this.label1 = new System.Windows.Forms.Label();
@@ -90,6 +90,8 @@
             this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.btnSelect = new System.Windows.Forms.Button();
+            this.label18 = new System.Windows.Forms.Label();
             this.tableLayoutPanel1.SuspendLayout();
             this.panel5.SuspendLayout();
             this.panel1.SuspendLayout();
@@ -815,14 +817,14 @@
             this.dgvMaster.AllowUserToResizeRows = false;
             this.dgvMaster.BackgroundColor = System.Drawing.Color.FromArgb(((int)(((byte)(224)))), ((int)(((byte)(224)))), ((int)(((byte)(224)))));
             this.dgvMaster.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle4.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle4.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle4.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle4.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle4.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle4.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle4;
             this.dgvMaster.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
             this.dgvMaster.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
             this.Column1,
@@ -842,9 +844,9 @@
             // 
             // Column1
             // 
-            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle2.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.Column1.DefaultCellStyle = dataGridViewCellStyle2;
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle5.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle5;
             this.Column1.Frozen = true;
             this.Column1.HeaderText = "№";
             this.Column1.Name = "Column1";
@@ -863,9 +865,9 @@
             // 
             // Column3
             // 
-            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            dataGridViewCellStyle3.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.Column3.DefaultCellStyle = dataGridViewCellStyle3;
+            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle6.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column3.DefaultCellStyle = dataGridViewCellStyle6;
             this.Column3.Frozen = true;
             this.Column3.HeaderText = "発　注　者　名　称";
             this.Column3.Name = "Column3";
@@ -873,6 +875,34 @@
             this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column3.Width = 420;
             // 
+            // btnSelect
+            // 
+            this.btnSelect.BackColor = System.Drawing.Color.Green;
+            this.btnSelect.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnSelect.ForeColor = System.Drawing.Color.White;
+            this.btnSelect.Location = new System.Drawing.Point(964, 650);
+            this.btnSelect.Name = "btnSelect";
+            this.btnSelect.Size = new System.Drawing.Size(120, 30);
+            this.btnSelect.TabIndex = 25;
+            this.btnSelect.Text = "データ選択";
+            this.btnSelect.UseVisualStyleBackColor = false;
+            this.btnSelect.Visible = false;
+            this.btnSelect.Click += new System.EventHandler(this.btnSelect_Click);
+            // 
+            // label18
+            // 
+            this.label18.BackColor = System.Drawing.Color.Red;
+            this.label18.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label18.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label18.ForeColor = System.Drawing.Color.White;
+            this.label18.Location = new System.Drawing.Point(1050, 40);
+            this.label18.Name = "label18";
+            this.label18.Size = new System.Drawing.Size(160, 32);
+            this.label18.TabIndex = 12;
+            this.label18.Text = "削除データ";
+            this.label18.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            this.label18.Visible = false;
+            // 
             // FrmOrderers
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -884,6 +914,7 @@
             this.Controls.Add(this.btnDispUp);
             this.Controls.Add(this.btnDataSelect);
             this.Controls.Add(this.btnDataLineEntry);
+            this.Controls.Add(this.label18);
             this.Controls.Add(this.lblEditMode);
             this.Controls.Add(this.dgvMaster);
             this.Controls.Add(this.tableLayoutPanel1);
@@ -891,6 +922,7 @@
             this.Controls.Add(this.btnDataDelete);
             this.Controls.Add(this.btnDataEntry);
             this.Controls.Add(this.btnEnd);
+            this.Controls.Add(this.btnSelect);
             this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
             this.KeyPreview = true;
@@ -972,5 +1004,7 @@
         private System.Windows.Forms.TextBox textBox1;
         private System.Windows.Forms.TextBox txtInput15;
         private System.Windows.Forms.Label label20;
+        private System.Windows.Forms.Button btnSelect;
+        private System.Windows.Forms.Label label18;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs	(revision 81)
@@ -56,11 +56,13 @@
         private static Color s_RowSelectColor = Color.GreenYellow;
         #endregion
 
-        #region デフォルトタイトル色
+        #region デフォルト色
         /// <summary>
-        /// デフォルトタイトル色
+        /// デフォルト色
         /// </summary>
-        private static Color[] s_DefaultColor = new Color[] { Color.LightBlue, Color.LightPink };
+        private static Color s_TitleRowColor = Color.Black;
+        private static Color[] s_DefaultBackColor = new Color[] { Color.Black, Color.LightBlue, Color.LightGreen, Color.Wheat };
+        private static Color[] s_DefaultForeColor = new Color[] { Color.White, Color.Black, Color.Black, Color.Black };
         #endregion
 
         #region カラムヘッダー行定義
@@ -84,7 +86,73 @@
         private static int s_TitleRowCnt = 5;
         #endregion
 
+        #region データ表示定義
+        /// <summary>
+        /// データ表示定義
+        /// </summary>
+        private KeyValuePair<int, string>[] s_ConfigurationArray = {
+                                                    //new KeyValuePair<int, string>(-1, "基　本　処　理"),                                                   // ----- タイトル
+                                                    //new KeyValuePair<int, string>((int)ClsExcute.SubFormExecuteNo.ActionSchdule, string.Empty),             // 203:行動予定入力
+                                                    //new KeyValuePair<int, string>((int)ClsExcute.SubFormExecuteNo.VehicleSchdule, string.Empty),            // 204:車両予約入力
+                                                    new KeyValuePair<int, string>(-1, "共　通　処　理"),                                                   // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionList, string.Empty),          //  1:工事情報一覧
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList, string.Empty),      //  7:承認申請一覧
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionCopyList, string.Empty),      //  8:工事案件コピー機能
+                                                    new KeyValuePair<int, string>(-1, "受　注　管　理"),                                                   // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo, string.Empty),      //  2:工事情報入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.EstimateInput, string.Empty),             //  3:積算見積入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.EstimatePrint, string.Empty),             //  4:積算見積書印刷
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.EstimateBudget, string.Empty),            //  5:積算予算書入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.OrderJoin, string.Empty),                 // 20:工事結合
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionSplit, string.Empty),         // 21:工事分割
+                                                    new KeyValuePair<int, string>(-1, "日次（施工）管理"),                                                   // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList, string.Empty),     // 11:部署別台帳一覧
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList, string.Empty),    // 12:工事詳細台帳一覧
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionLedger, string.Empty),        // 13:工事詳細台帳
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DRList, string.Empty),                    // 15:工事日報－一覧
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DRConstruction, string.Empty),            // 16:工事日報入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.Proceedings, string.Empty),               // 17:打合せ議事録入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.TAndPCosts, string.Empty),                // 14:交通費及び購入品入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DRWork, string.Empty),                    // 18:出勤日報
+                                                    new KeyValuePair<int, string>(-1, "書　類　管　理"),                                                   // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionBudget, string.Empty),        //  6:工事予算書入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry, string.Empty),        //  9:注文書入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint, string.Empty),        // 10:注文書印刷
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PurchaseOrderStatus, string.Empty),       // 19:注文書発給一覧
+                                                    new KeyValuePair<int, string>(-1, "各種提出書類"),                                                    // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.CostomerRegist, string.Empty),            // 34:発注者登録申請
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.SubConstrRegist, string.Empty),           // 36:協力会社登録申請
+                                                    new KeyValuePair<int, string>(-1, "マスタメンテナンス"),                                             // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.System, string.Empty),                // システム管理登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Security, string.Empty),              // セキュリティ区分登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.ApprovalRoute, string.Empty),         // 承認経路登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.TermMaster, string.Empty),            // 期限登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Department, string.Empty),            // 部署登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.PersonInCharge, string.Empty),        // 担当者登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.AlwaysEmployment, string.Empty),      // 常雇者登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Orderers, string.Empty),              // 発注者登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.ConstructionType, string.Empty),      // 工事種別登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Suppliers, string.Empty),             // 仕入先登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.SubContractor, string.Empty),         // 協力会社登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.SubContractorItem, string.Empty),     // 協力会社工種登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.SubContractorJobCategory, string.Empty),  // 協力会社職種登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Component, string.Empty),             // 大項目登録（構成登録）
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.ConstructionItem, string.Empty),      // 中項目登録（工種登録）
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.ConstructionWork, string.Empty),      // 小項目登録（作業登録）
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.ComponentLink, string.Empty),         // 大・中項目関連登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.BusinessType, string.Empty),          // 法人格登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.OrderDivision, string.Empty),         // 発注者区分登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.ConstructionExpenses, string.Empty),  // 施工経費区分登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Unit, string.Empty),                  // 単位登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Calender, string.Empty),              // カレンダー登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.VehicleMaster, string.Empty),         // 車両登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.SaleSalesGraphData, string.Empty),    // 売上グラフデータ入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.MaterialKind, string.Empty),          // 資材種類登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.MaterialItem, string.Empty),          // 資材品目登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.SalesConfirm, string.Empty),          // 売上確認
+                                                                        };
         #endregion
+        #endregion
 
         #region 変数
         /// <summary>
@@ -109,6 +177,11 @@
         /// 参照フラグ
         /// </summary>
         private bool m_EditLock = false;
+
+        /// <summary>
+        /// 基本サイズ
+        /// </summary>
+        private Size m_FormSize;
         #endregion
 
         #region プロパティ
@@ -152,7 +225,8 @@
         private void FrmSecurity_Load(object sender, EventArgs e)
         {
             dgvProcess.ColumnHeadersHeight = dgvProcess.ColumnHeadersHeight * (s_HeaderRows + 1);
-            
+            m_FormSize = this.Size;
+
             // グリッドデータ表示
             DispSecurityGridData();
 
@@ -249,7 +323,7 @@
                     MessageBox.Show("選択データがありません。", "選択確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
                     return;
                 }
-                
+
                 frm.secRec = m_SecMasterList[DataColCnt];
                 frm.ShowDialog();
 
@@ -438,10 +512,29 @@
             try
             {
                 // ヘッダー以外は処理なし
-                if (e.RowIndex > -1) return;
+                if (e.RowIndex < 0)
+                {
+                    //// 標準ヘッダーの描画
+                    GridCellPainting(sender, e);
+                }
+                else
+                {
+                    DataGridView dgv = dgvProcess;
+                    if (e.RowIndex >= 0 && e.ColumnIndex >= 0)
+                    {
+                        //チェックボックス列以外は処理しない
+                        if (!dgv.Columns[e.ColumnIndex].GetType().Equals(typeof(DataGridViewCheckBoxColumn))) return;
+                        // 変更不可行以外は処理しない
+                        if (!dgv.Rows[e.RowIndex].ReadOnly) return;
+                        
+                        dgv.Rows[e.RowIndex].Cells[e.ColumnIndex].Style.BackColor = s_TitleRowColor;
 
-                //// 標準ヘッダーの描画
-                GridCellPainting(sender, e);
+                        // 描画する領域
+                        e.PaintBackground(e.CellBounds, false);
+                        
+                        e.Handled = true;
+                    }
+                }
             }
             catch (System.Exception ex)
             {
@@ -458,71 +551,71 @@
         /// <param name="e"></param>
         /// <param name="columns"></param>
         /// <param name="headerText"></param>
-        private void JoinGridHeader(object sender, DataGridViewCellPaintingEventArgs e, List<DataGridViewColumn> columns, string headerText)
-        {
-            try
-            {
-                //指定した列を結合する
-                // セルの矩形を取得
-                Rectangle rect = e.CellBounds;
-                //rect.X += 1;
-                //rect.Y += 1;
-                rect.Height -= 1;
+        //private void JoinGridHeader(object sender, DataGridViewCellPaintingEventArgs e, List<DataGridViewColumn> columns, string headerText)
+        //{
+        //    try
+        //    {
+        //        //指定した列を結合する
+        //        // セルの矩形を取得
+        //        Rectangle rect = e.CellBounds;
+        //        //rect.X += 1;
+        //        //rect.Y += 1;
+        //        rect.Height -= 1;
 
-                DataGridView dgv = (DataGridView)sender;
+        //        DataGridView dgv = (DataGridView)sender;
 
-                rect.Width = 0;
+        //        rect.Width = 0;
 
-                // 結合する列の幅を取得して、足す
-                foreach (DataGridViewColumn col in columns)
-                {
-                    rect.Width += col.Width;
+        //        // 結合する列の幅を取得して、足す
+        //        foreach (DataGridViewColumn col in columns)
+        //        {
+        //            rect.Width += col.Width;
 
-                    if (e.ColumnIndex > col.Index)
-                    {
-                        // 矩形の位置を補正
-                        rect.X -= col.Width;
-                    }
-                }
+        //            if (e.ColumnIndex > col.Index)
+        //            {
+        //                // 矩形の位置を補正
+        //                rect.X -= col.Width;
+        //            }
+        //        }
 
-                // 背景、枠線、セルの値を描画
-                using (SolidBrush brush = new SolidBrush(this.dgvProcess.ColumnHeadersDefaultCellStyle.BackColor))
-                using (Brush gridBrush = new SolidBrush(this.dgvProcess.GridColor))
-                using (Pen pen = new Pen(dgv.GridColor))
-                {
-                    // Erase the cell.
-                    e.Graphics.FillRectangle(brush, e.CellBounds);
+        //        // 背景、枠線、セルの値を描画
+        //        using (SolidBrush brush = new SolidBrush(this.dgvProcess.ColumnHeadersDefaultCellStyle.BackColor))
+        //        using (Brush gridBrush = new SolidBrush(this.dgvProcess.GridColor))
+        //        using (Pen pen = new Pen(dgv.GridColor))
+        //        {
+        //            // Erase the cell.
+        //            e.Graphics.FillRectangle(brush, e.CellBounds);
 
-                    // 背景の描画
-                    e.Graphics.FillRectangle(brush, rect);
+        //            // 背景の描画
+        //            e.Graphics.FillRectangle(brush, rect);
 
-                    // 枠線の描画
-                    e.Graphics.DrawRectangle(pen, rect);
+        //            // 枠線の描画
+        //            e.Graphics.DrawRectangle(pen, rect);
 
-                    //// Draw the grid lines (only the right and bottom lines;
-                    //// DataGridView takes care of the others).
-                    //e.Graphics.DrawLine(pen, e.CellBounds.Left,
-                    //    e.CellBounds.Bottom - 1, e.CellBounds.Right - 1,
-                    //    e.CellBounds.Bottom - 1);
-                    //e.Graphics.DrawLine(pen, e.CellBounds.Right - 1,
-                    //    e.CellBounds.Top, e.CellBounds.Right - 1,
-                    //    e.CellBounds.Bottom);
+        //            //// Draw the grid lines (only the right and bottom lines;
+        //            //// DataGridView takes care of the others).
+        //            //e.Graphics.DrawLine(pen, e.CellBounds.Left,
+        //            //    e.CellBounds.Bottom - 1, e.CellBounds.Right - 1,
+        //            //    e.CellBounds.Bottom - 1);
+        //            //e.Graphics.DrawLine(pen, e.CellBounds.Right - 1,
+        //            //    e.CellBounds.Top, e.CellBounds.Right - 1,
+        //            //    e.CellBounds.Bottom);
 
-                }
+        //        }
 
-                // セルに表示するテキストを描画
-                TextRenderer.DrawText(e.Graphics,
-                                headerText,
-                                e.CellStyle.Font,
-                                rect,
-                                e.CellStyle.ForeColor,
-                                TextFormatFlags.HorizontalCenter | TextFormatFlags.VerticalCenter);
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
+        //        // セルに表示するテキストを描画
+        //        TextRenderer.DrawText(e.Graphics,
+        //                        headerText,
+        //                        e.CellStyle.Font,
+        //                        rect,
+        //                        e.CellStyle.ForeColor,
+        //                        TextFormatFlags.HorizontalCenter | TextFormatFlags.VerticalCenter);
+        //    }
+        //    catch (System.Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //}
         #endregion
 
         #region ヘッダーダブルクリック
@@ -739,6 +832,7 @@
             try
             {
                 DataGridView dgv = dgvProcess;
+
                 // 行選択色を元に戻す
                 if (m_BeforeGridRow != -1) DefaultRowChangeColor(m_BeforeGridRow);
 
@@ -754,15 +848,15 @@
         }
         #endregion
 
-        #region フォームサイズチェンジ
+        #region ウィンドウサイズ変更
         /// <summary>
-        /// フォームサイズチェンジ
+        /// ウィンドウサイズ変更
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
         private void FrmSecurity_SizeChanged(object sender, EventArgs e)
         {
-
+            if (this.WindowState == FormWindowState.Normal) this.Size = m_FormSize;
         }
         #endregion
     }
